Bug 198504 - [PATCH] irc/charybdis: Make EGD conditional/fix LibreSSL build
Summary: [PATCH] irc/charybdis: Make EGD conditional/fix LibreSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Chris Rees
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-10 19:04 UTC by Bernard Spil
Modified: 2015-12-24 17:14 UTC (History)
1 user (show)

See Also:
crees: maintainer-feedback+


Attachments
svn diff for irc/charybdis (2.72 KB, patch)
2015-03-10 19:04 UTC, Bernard Spil
no flags Details | Diff
svn diff for irc/charybdis (3.09 KB, patch)
2015-12-23 09:24 UTC, Bernard Spil
brnrd: maintainer-approval? (crees)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-10 19:04:00 UTC
Created attachment 154160 [details]
svn diff for irc/charybdis

irc/charybdis unconditionally relies on RAND_egd which makes building fail with LibreSSL which has removed EGD.

FreeBSD does not require EGD at all, /dev/random has been available since FreeBSD 4.2

Upstream has already removed EGD support for the next version 3.5 (last week) pull request https://github.com/atheme/charybdis/pull/87
Comment 1 Bernard Spil freebsd_committer 2015-12-23 09:24:45 UTC
Created attachment 164539 [details]
svn diff for irc/charybdis

Use patch from upstream https://github.com/atheme/charybdis/commit/e861902fd9610229bc7327ea057152f66c8b374d

Completely removes RAND_egd

Edited the paths to make it apply ^a/ -> .orig$
Comment 2 Chris Rees freebsd_committer 2015-12-23 09:45:49 UTC
Please go ahead, and thanks!
Comment 3 commit-hook freebsd_committer 2015-12-24 17:01:12 UTC
A commit references this bug:

Author: brnrd
Date: Thu Dec 24 17:00:54 UTC 2015
New revision: 404377
URL: https://svnweb.freebsd.org/changeset/ports/404377

Log:
  irc/charybdis: Remove RAND_egd

   - Add patch to remove RAND_egd from v3.5 RC

  PR:		198504
  Reviewed by:	crees (maintainer), koobs (mentor)
  Approved by:	crees (maintainer), koobs (mentor)
  Differential Revision:	https://reviews.freebsd.org/D4694

Changes:
  head/irc/charybdis/files/patch-remove-RB_PRNG_EGD